<!-- Creado: Félix Ricardo Oliva Alonso, 12/12/2016. Se crea la vista para agregar perfiles -->
<!-- Modificado: Jorge Antonio Mendoza Salazar, 15/02/2017. Se cambio la presentaciond de la vista -->

<?php
  use App\Libraries\ejLib;
  $var = ejLib::getInstance();
  $soapclient = $var->getWs();
  $wsClave = $var->get_wsClave();

  $response = $soapclient->vCat_CentroSalud($wsClave);
  $RESPUESTAS = new SimpleXMLElement(utf8_encode($response));
?>

<script src="js/jquery-3.1.0.min.js"></script>
<script src="js/jqv/dist/jquery.validate.js"></script>
<script src="js/validar/root.js"></script>
<script src="js/notify.js"></script>

<script>
  $("#btn_guardar_ap2").click(function() {
    $.ajax({
      type: "POST",
      url: 'perfiles-AdministrarPerfilesDeUsuarioDeFE_add_PerfilFE',
      data: $("#admin_perfiles2").serialize(),
      // alert (data);
      success: function(data) {
        xmlDoc = $.parseXML( data ),
        $xml = $( xmlDoc );
        $($xml).each(function() {
          var error = ($(this).find("Respuesta>error").text());
          var titulo = ($(this).find("Respuesta>titulo").text());
          var descripcion = ($(this).find("Respuesta>descripcion").text());

          if(error==0) {
            $.notify("Registro insertado exitosamente", "success");
            $('#admin_perfiles2')[0].reset();
            //  setTimeout(function(){window.location = "perfiles"}, 2000);
          }
          if(error==1) {
            $.notify(descripcion, "error");
            $.notify(titulo, "error");
          }
        });
      },
      error : function(xhr, status) {
        $.notify("No se pudo realizar el registro", "error");
      },
    });
    return false;
  });

  $( ".cerrar_form" ).click(function() {
  	jqGetAjax("cerrar","tblMovimientos", { });
  });
</script>

<form id="admin_perfiles2">
  <input type="hidden" name="_token" value="{{csrf_token()}}">
  <div class="row">
    <div class="titulo_fondo">
      <div class="titulo_pagina2">AGREGAR NUEVO PERFIL</div>
        <a href="#h_logo" id="cerrar"><img src="Img/close.png" height="20"  class="cerrar_form" /></a>
    </div>
  </div>

  <div class="row ">
    <div class="col-sm-5" style="margin-left: 10px;">
      <div class="form-group-sm">
        Centro de salud
        <select name="centro_salud_ap2" id="centro_salud_ap2" class="form-control">
          <option selected value="null">Elija una opción</option>
          @foreach($RESPUESTAS->respuesta as $cs)
            <option value="{!! $cs->centro_sal !!}">{!! utf8_decode($cs->desc_centr) !!}</option>
          @endforeach
        </select><br>

        Perfil:
        <input type="text" class="form-control" name="perfil_ap2" id="perfil_ap2"  placeholder="Máximo 200 caracteres" />
      </div>
    </div>

    <div class="col-sm-offset-1 col-sm-5">
      <div class=" form-group-sm">
        Actividades:
        <textarea class="form-control" name="actividades_ap2" id="actividades_ap2" rows="4" cols="60"></textarea><br>
      </div>
    </div>
  </div><br>

  <div class="sombra_cm">
    <div class="col1"><button type="submit" id="btn_guardar_ap2" name="btn_guardar_ap2">Guardar</button></div>
  </div>
</form>
